org.keycloak.events.mongo

## Class MongoEventQuery

- java.lang.Object
- - org.keycloak.events.mongo.MongoEventQuery

- All Implemented Interfaces:
    EventQuery

      public class MongoEventQuery
      extends Object
      implements EventQuery

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoEventQuery(com.mongodb.DBCollection audit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventQuery` | `client(String clientId)`
    `EventQuery` | `firstResult(int firstResult)`
    `EventQuery` | `fromDate(Date fromDate)`
    `List<Event>` | `getResultList()`
    `EventQuery` | `ipAddress(String ipAddress)`
    `EventQuery` | `maxResults(int maxResults)`
    `EventQuery` | `realm(String realmId)`
    `EventQuery` | `toDate(Date toDate)`
    `EventQuery` | `type(EventType... types)`
    `EventQuery` | `user(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoEventQuery

          public MongoEventQuery(com.mongodb.DBCollection audit)

  - ### Method Detail

    - #### type

          public EventQuery type(EventType... types)

      Specified by:
        `type` in interface `EventQuery`

    - #### realm

          public EventQuery realm(String realmId)

      Specified by:
        `realm` in interface `EventQuery`

    - #### client

          public EventQuery client(String clientId)

      Specified by:
        `client` in interface `EventQuery`

    - #### user

          public EventQuery user(String userId)

      Specified by:
        `user` in interface `EventQuery`

    - #### fromDate

          public EventQuery fromDate(Date fromDate)

      Specified by:
        `fromDate` in interface `EventQuery`

    - #### toDate

          public EventQuery toDate(Date toDate)

      Specified by:
        `toDate` in interface `EventQuery`

    - #### ipAddress

          public EventQuery ipAddress(String ipAddress)

      Specified by:
        `ipAddress` in interface `EventQuery`

    - #### firstResult

          public EventQuery firstResult(int firstResult)

      Specified by:
        `firstResult` in interface `EventQuery`

    - #### maxResults

          public EventQuery maxResults(int maxResults)

      Specified by:
        `maxResults` in interface `EventQuery`

    - #### getResultList

          public List<Event> getResultList()

      Specified by:
        `getResultList` in interface `EventQuery`

Copyright © 2016 JBoss by Red Hat. All rights reserved.